# -*- Makefile -*-

{VARNAME}_INTERFACES	= {INTERFACE_FILES}
{VARNAME}_PREFIX    	= {INTERFACE_PREFIX}
{VARNAME}_NAME      	= {INTERFACE_NAME}
{VARNAME}_IDL       	= $(call interfaces_to_idl,$({VARNAME}_INTERFACES))
{VARNAME}_SERVER    	= $(call interfaces_to_server,$({VARNAME}_PREFIX))
{VARNAME}_EXPORTED  	= $(call exported_files, $(call interfaces_to_interfaces_h,$({VARNAME}_PREFIX)))
{VARNAME}_OPTIONS   	= --comp=$({VARNAME}_PREFIX) --comp-name=$({VARNAME}_NAME)

$({VARNAME}_SERVER): $({VARNAME}_IDL) $({VARNAME}_EXPORTED)
	$(IDL_PROG) -d $(BUILD_DIR) $({VARNAME}_OPTIONS) --headers --routines --language=c++ $({VARNAME}_IDL)

$({VARNAME}_EXPORTED): $({VARNAME}_IDL)
	$(IDL_PROG) -d $(EXPORTED_DIR) $({VARNAME}_OPTIONS) --interfaces --language=c++ $({VARNAME}_IDL)

# vim: set ft=make:
