# -*- Makefile -*-

{VARNAME}_PREFIX  	= {INTERFACE_PREFIX}
{VARNAME}_IDL     	= $(call interfaces_to_idl,$({VARNAME}_PREFIX))
{VARNAME}_SERVER  	= $(call interfaces_to_server,$({VARNAME}_PREFIX))
{VARNAME}_EXPORTED	= $(call exported_files,$(call interfaces_to_interface_h,$({VARNAME}_PREFIX)))

$({VARNAME}_SERVER): $({VARNAME}_IDL) $({VARNAME}_EXPORTED)
	$(IDL_PROG) -d $(BUILD_DIR) --server --headers --routines --language=c++ $({VARNAME}_IDL)

$({VARNAME}_EXPORTED): $({VARNAME}_IDL)
	$(IDL_PROG) -d $(EXPORTED_DIR) --server --interfaces --language=c++ $({VARNAME}_IDL)

# vim: set ft=make:
